import * as XLSX from 'xlsx';
export var downloadExcel = function (_a) {
    var data = _a.data, _b = _a.fileName, fileName = _b === void 0 ? 'data' : _b;
    try {
        var workbook = XLSX.utils.book_new();
        var worksheet = XLSX.utils.json_to_sheet(data);
        XLSX.utils.book_append_sheet(workbook, worksheet, 'Sheet1');
        XLSX.writeFile(workbook, "".concat(fileName, ".xlsx"));
    }
    catch (error) {
        console.error('Error downloading excel:', error);
    }
};
